base:
  project: winequality-project
  random_state: 42
  target_col: TARGET

data_source:
  s3_source: data_given/winequality.csv

load_data:
  raw_dataset_csv: data/raw/winequality.csv

split_data:
  train_path: data/processed/train_winequality.csv
  test_path: data/processed/test_winequality.csv
  test_size: 0.2

estimators:
  ElasticNet:
    params:
#       alpha: 0.88
#       l1_ratio: 0.89
      alpha: 0.88
      l1_ratio: 0.89
model_dir: saved_models

reports:
  params: report/params.json
  scores: report/scores.json

webapp_model_dir: prediction_service/model/model.joblib

mlflow_config:
  artifacts_dir: artifacts
  experiment_name: ElasticNet_regression
  run_name: mlops
  registered_model_name: ElasticNetWineModel
  remote_server_uri: http://127.0.0.1:5000
